{% extends 'base.html.twig' %}

{% block title %}Technicien index{% endblock %}

{% block body %}
<div class="d-flex flex-row">
    {{ include('sidebar/_sidebar.html.twig', {'active': 'technicien'}) }}
    <div class="container py-5">
        <h1>Liste des Technicien</h1>

        <table class="table table-striped mt-5">
            <thead>
                <tr>
                    <th>Code Technicien</th>
                    <th>Nom</th>
                    <th>Prenom</th>
                    <th>actions</th>
                </tr>
            </thead>
            <tbody>
                {% for technicien in techniciens %}
                <tr>
                    <td>{{ technicien.codeTech }}</td>
                    <td>{{ technicien.nom }}</td>
                    <td>{{ technicien.prenom }}</td>
                    <td>
                        <a class="btn btn-success"
                            href="{{ path('technicien_show', {'codeTech': technicien.codeTech}) }}">Afficher</a>
                        <a class="btn btn-danger"
                            href="{{ path('technicien_edit', {'codeTech': technicien.codeTech}) }}">Editer</a>
                    </td>
                </tr>
                {% else %}
                <tr>
                    <td colspan="4">Aucun technicien trouvé</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>

        <a class="btn btn-primary" href="{{ path('technicien_new') }}">Ajouter Technicient</a>
        {% endblock %}